Skip to main content
GET
Retrieve a task template

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Task template id

Response

OK

createdAt
string<date-time>

Created is the RFC 3339 timestamp at which the object was created.

Example:

"2024-01-15T09:30:00Z"

createdDate
string<date-time>

CreatedDate is the RFC 3339 timestamp at which the template was created in the app.

Example:

"2025-05-01T16:18:54Z"

deleted
boolean

Deleted is true when the object has been deleted; present only on delete responses.

Example:

true

description
string

Description is the optional long-form details of the task template.

Example:

"Standard tasks to run when onboarding a new client."

id
string

ID is the unique identifier of the object.

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string

Name is the human-readable title of the task template.

Example:

"Client kickoff checklist"

object
enum<string>

Object is the type of the object (e.g. "client", "company").

Available options:
client,
internalUser,
company,
customField,
customFieldOption,
file,
fileChannel,
folder,
messageChannel,
message,
notification
updatedAt
string<date-time>

Updated is the RFC 3339 timestamp at which the object was last updated.

Example:

"2024-02-20T14:05:00Z"